pro compile_etc

  ;First, take care of figuring out compiler version and openmp stuff...
  compiler_with_openmp = 'gcc-mp-12'
  templd = !make_dll.ld
  templd=strmid(templd,strpos(templd,' '))
  ld = compiler_with_openmp+' -fopenmp'+templd
  cc=compiler_with_openmp + ' -c -fPIC -O3 -fopenmp %C -o %O'
  print,cc
  
  ;Now compile each routine...    
  routine_dir = './'
  routine_name = 'exposure_time_calculator'
  print,'Compiling '+routine_name+'.c'
  make_dll, routine_name, routine_name, routine_name, input=routine_dir, output=routine_dir,cc=cc,ld=ld
  print,'...done.'
  
end
